Subject: Re: [eman] Feedback regarding the EMAN monitoring

From: <[email-masked]>
Date: Thu, 8 Dec 2011 11:43:07 +0900

Hi, all

>Though you agreed on my figure indicated how to update the two maxima,
>I've another idea.
>I'll send details of my idea later on. 

Another idea is the following.
Which figures are correct?
<fig.2-A><fig.2-B> or <fig.2-C><fig.2-D> ?
Difference between those figures is keeing maxim or not.
#refer my previous email about <fig.2-A><fig.2-B>

        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     390     |      390
       --------------------------------------------------------
                                  ↓
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     390     |      390
              100     |      S2     |     390     |      380
       --------------------------------------------------------
                                  ↓
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     390     |      390
              100     |      S2     |     390     |      380
              100     |      S3     |     420     |      420
       --------------------------------------------------------
                                  ↓
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S2     |     390     |      380
              100     |      S3     |     420     |      420
              100     |      S4     |     490     |      490
       --------------------------------------------------------
       <fig.2-C>  The oldest measurement were not to be the maximum eoEnergyIntervalMaxConsumed.

        pmPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     490     |      490
       --------------------------------------------------------
                                  ↓
        pmPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     490     |      490
              100     |      S2     |     490     |      380
       --------------------------------------------------------
                                  ↓
        pmPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     490     |      490
              100     |      S2     |     490     |      380
              100     |      S3     |     490     |      420
       --------------------------------------------------------
                                  ↓
        pmPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S1     |     490     |      490
              100     |      S3     |     490     |      420
              100     |      S4     |     490     |      390
       --------------------------------------------------------
       <fig.2-D> The oldest measurement were to be the maximum eoEnergyIntervalMaxConsumed.

 Best regards,
 Hiroto

---

From: "Mouli Chandramouli (moulchan)" <[email-masked]>
Date: Mon, 12 Dec 2011 07:48:14 -0600

Hello,

Regarding your question on Maximum -  
A maximum can occur at any window and that max value is stored (and compared with the current measurement - almost like quicksort. 
The maximum value shall be reset when the Energy Object or the NMS is rebooted. The first value is the maximum 

eoEnergyIntervalMaxConsumed OBJECT-TYPE
            SYNTAX          Integer32
            UNITS           "Watt-hours"
            MAX-ACCESS      read-only
            STATUS          current
            DESCRIPTION
               "This object is the maximum energy ever observed in
               eoEnergyIntervalEnergyConsumed since the monitoring
               started. This value is specified in the common billing
               units of watt-hours with the magnitude of watt-hours (kW-
               Hr,   MW-Hr, etc.) indicated separately in
               eoEnergyIntervalEnergyUnits."
            ::= { eoEnergyIntervalEntry 7  }

The important word is "maximum since monitoring started".

I think it would be easier if you would consider the following example.   

Thanks
Mouli

              100     |      S1     |     300     |      300
              100     |      S1     |     300     |      300
              100     |      S2     |     340     |      340
              100     |      S1     |     300     |      300
              100     |      S2     |     340     |      340
              100     |      S3     |     340     |      320
              100     |      S2     |     340     |      340
              100     |      S3     |     340     |      320
              100     |      S4     |     360     |      360
              100     |      S3     |     340     |      320
              100     |      S4     |     360     |      360
              100     |      S5     |     360     |      300

                                       ↓
              100     |      S4     |     360     |      360
              100     |      S5     |     360     |      300
              100     |      S6     |     380     |      380

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, December 08, 2011 8:13 AM
To: Benoit Claise (bclaise); Mouli Chandramouli (moulchan)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re[3]: Feedback regarding the EMAN monitoring

Hi, all

 Best regards,
 Hiroto

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 12 Dec 2011 15:03:52 +0100

On Mon, Dec 12, 2011 at 07:48:14AM -0600, Mouli Chandramouli (moulchan) wrote:

> The maximum value shall be reset when the Energy Object or the NMS
> is rebooted. The first value is the maximum

You assume a single NMS? This is usually not what we do in SNMP land.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: <[email-masked]>
Date: Tue, 13 Dec 2011 14:56:17 +0900

Hi Mouli,

I would like to know which is right understanding of how to handle S6.

case#1
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S6     |     380     |      380
              100     |      S7     |     380     |      300
              100     |      S8     |     380     |      300
                                       ↓
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S7     |     380     |      300    <--- ***
              100     |      S8     |     380     |      300
              100     |      S9     |     380     |      300

case#2
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S6     |     380     |      380
              100     |      S7     |     380     |      300
              100     |      S8     |     380     |      300
                                       ↓
        eoPowerIndex  |  StartTime  | MaxConsumed |  EnergyCons
       --------------------------------------------------------
              100     |      S6     |     380     |      380    <--- ***
              100     |      S8     |     380     |      300
              100     |      S9     |     380     |      300

        eoEnergyParametersIntervalNumber OBJECT-TYPE
            SYNTAX          Integer32
            MAX-ACCESS      read-create
            STATUS          current
            DESCRIPTION
               "The number of intervals maintained in the eoEnergyTable.
               Each interval is characterized by a specific
               eoEnergyIntervalStartTime, used as an index to the table
               eoEnergyTable . Whenever the maximum number of entries is
               reached, the measurement over the new interval replaces
               the oldest measurement , except if the oldest measurement
                                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
               were to be the maximum eoEnergyIntervalMax, in which case
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
               the measurement the measurement over the next oldest
               interval is replaced."
             DEFVAL { 10 }

Do we need to distinguish between consuming and producing?
If yes, EnergyTable may have two maximum entries.

Best regards,
Minoru

--
Minoru Teraoka
Yokogawa Electric Corporation

> From: Mouli Chandramouli (moulchan) [mailto:[email-masked]]
> Sent: Monday, December 12, 2011 10:48 PM
> To: [email-masked]; Benoit Claise (bclaise)
> Cc: [email-masked]; Teraoka, Minoru ([email-masked]);
> [email-masked]
> Subject: RE: Re[3]: Feedback regarding the EMAN monitoring
> 
> Hello,
> 
> A maximum can occur at any window and that max value is stored (and compared
> with the current measurement - almost like quicksort.